import { ak as n } from "./index-9ceb1eb9.js";
function s(a) {
  const e = {};
  if (a && a.authorization) {
    const { mode: o, value: r } = a.authorization;
    if (o)
      switch (e.headers = {}, o) {
        case "bearer":
          e.headers.Authorization = `Bearer ${r || "not defined"}`;
          break;
        case "{bearer}":
          n.accessToken ? e.headers.Authorization = `Bearer ${n.accessToken || "not defined"}` : console.warn("Must define an accessToken in kapixContext");
          break;
      }
  }
  return e;
}
export {
  s as e
};
